## Class TOutputCacheCalculateKeyEventParameter

Description

TOutputCacheCalculateKeyEventParameter class

TOutputCacheCalculateKeyEventParameter encapsulates the parameter data for OnCalculateKey event of TOutputCache control.

- since: 3.0
- version: $Id: TOutputCache.php 2123 2007-08-16 12:14:53Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TOutputCache.php (line 561)

    TComponent
       |
       --TEventParameter
          |
          --TOutputCacheCalculateKeyEventParameter

Method Summary
string getCacheKey ()
void setCacheKey (string $value)
Methods
getCacheKey (line 571)

- return: cache key to be appended to the default calculation scheme.
- access: public

string getCacheKey ()
setCacheKey (line 579)

- access: public

void setCacheKey (string $value)

- string $value: cache key to be appended to the default calculation scheme

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:44 -0400 by phpDocumentor 1.3.0RC4